            #GIT_CMT=9e240124c81c5ee4b3ae727d178ea6f55c2826c8
            #GIT_CMT=1cd91b37ec3d74acbad0883f5159ce27aa77773d
            #GIT_CMT=f37c40ffe09541263cd687019407c5c0c0092c8e
%define build_version 02.00.00.3733
%define platform_type purley

Name:           ipmctl
Version:	02.00.00.3878
Release: 1.0.2%{?dist}
Summary:        Utility for managing Intel Optane DC persistent memory modules
License:        BSD
URL:            https://github.com/intel/ipmctl
Source: ipmctl-02.00.00.3878.tar.bz2
ExclusiveArch:  x86_64

Requires:       libipmctl%{?_isa} = %{version}-%{release}
BuildRequires:  pkgconfig(libndctl)
BuildRequires:  cmake

%if 0%{?fedora}
BuildRequires:  python2
%endif

%if 0%{?rhel} == 8
BuildRequires:  python3
%endif


BuildRequires:  gcc
BuildRequires:  gcc-c++

%if 0%{?suse_version}
BuildRequires:  ruby2.5-rubygem-asciidoctor
%else
  %if 0%{?rhel} == 8
BuildRequires:  rubygems
  %else
BuildRequires:  asciidoctor
  %endif
%endif

Obsoletes:      ixpdimm-cli < 01.00.00.3000
Obsoletes:      ipmctl-monitor

%description
Utility for managing Intel Optane DC persistent memory modules
Supports functionality to:
Discover DCPMMs on the platform.
Provision the platform memory configuration.
View and update the firmware on DCPMMs.
Configure data-at-rest security on DCPMMs.
Track health and performance of DCPMMs.
Debug and troubleshoot DCPMMs.

%prep
%setup -q -n %{name}-%{version}

%package -n libipmctl
Summary:        Library for Intel DCPMM management
Obsoletes:      ixpdimm_sw < 01.00.00.3000
Obsoletes:      libixpdimm-common < 01.00.00.3000
Obsoletes:      libixpdimm-core < 01.00.00.3000
Obsoletes:      libixpdimm-cli < 01.00.00.3000
Obsoletes:      libixpdimm-cim < 01.00.00.3000
Obsoletes:      libixpdimm < 01.00.00.3000
Obsoletes:      ixpdimm-data < 01.00.00.3000

%description -n libipmctl
An Application Programming Interface (API) library for managing Intel Optane DC
persistent memory modules.

%package -n libipmctl-devel
Summary:        Development packages for libipmctl
Requires:       libipmctl%{?_isa} = %{version}-%{release}
Obsoletes:      ixpdimm-devel < 01.00.00.3000
Obsoletes:      ixpdimm_sw-devel < 01.00.00.3000

%description -n libipmctl-devel
API for development of Intel Optane DC persistent memory management utilities.

%build
%cmake -DBUILDNUM=%{version} -DCMAKE_INSTALL_PREFIX=/ \
    -DLINUX_PRODUCT_NAME=%{name} \
    -DCMAKE_INSTALL_LIBDIR=%{_libdir} \
    -DCMAKE_INSTALL_INCLUDEDIR=%{_includedir} \
    -DCMAKE_INSTALL_BINDIR=%{_bindir} \
    -DCMAKE_INSTALL_DATAROOTDIR=%{_datarootdir} \
    -DCMAKE_INSTALL_MANDIR=%{_mandir} \
    -DCMAKE_INSTALL_LOCALSTATEDIR=%{_localstatedir} \
    -DCMAKE_INSTALL_SYSCONFDIR=%{_sysconfdir} \
    -DRELEASE=ON \
    -DRPM_BUILD=ON
%make_build

%install
%{!?_cmake_version: cd build}
%make_install -f Makefile

%post -n libipmctl -p /sbin/ldconfig

%postun -n libipmctl -p /sbin/ldconfig

%files -n ipmctl
%{_bindir}/ipmctl
%{_mandir}/man1/ipmctl*

%files -n libipmctl
%{_libdir}/libipmctl.so.4*
%dir %{_datadir}/doc/ipmctl
%doc %{_datadir}/doc/ipmctl/ipmctl_default.conf
%doc %{_datadir}/doc/ipmctl/LICENSE
%config(noreplace) %{_datadir}/ipmctl/ipmctl.conf
%dir %{_localstatedir}/log/ipmctl
%config(noreplace) %{_sysconfdir}/logrotate.d/ipmctl

%files -n libipmctl-devel
%{_libdir}/libipmctl.so
%{_includedir}/nvm_types.h
%{_includedir}/nvm_management.h
%{_includedir}/export_api.h
%{_includedir}/NvmSharedDefs.h
%{_libdir}/pkgconfig/libipmctl.pc

%changelog
* Thu Sep 30 2021 David Kubat <david.kubat@oracle.com> 02.00.00.3878-1.0.2
- Obsolete ipmctl-monitor [Orabug: 32516965]

* Wed May 12 2021 EL Errata <el-errata_ww@oracle.com> 02.00.00.3878-1.0.1
- Update to 02.00.00.3878

* Thu Apr 08 2021 EL Errata <el-errata_ww@oracle.com> 02.00.00.3871-1.0.1
- BUILDINFO: commit=1cd91b37ec3d74acbad0883f5159ce27aa77773d
- Update to 02.00.00.3871

* Mon Mar 29 2021 EL Errata <el-errata_ww@oracle.com> 02.00.00.3869-1.0.1
- BUILDINFO: commit=f37c40ffe09541263cd687019407c5c0c0092c8e
- Update to 02.00.00.3869

* Tue Feb 16 2021 EL Errata <el-errata_ww@oracle.com> 02.00.00.3852-1.0.1
- BUILDINFO: commit=45000b618618dbe7df83e7d0ce1ee7ad595d85f3
- Update to 02.00.00.3852

* Wed Feb 03 2021 EL Errata <el-errata_ww@oracle.com> 02.00.00.3847-1.0.1
- BUILDINFO: commit=418e3ab549277c6a36b098638701a3fcf34886b5
- Update to 02.00.00.3847

* Wed Jan 27 2021 EL Errata <el-errata_ww@oracle.com> 02.00.00.3844-1.0.1
- BUILDINFO: commit=2e07188c352c8539c7037e5ff5a79effdc2b7d9f
- Update to 02.00.00.3844

* Wed Jan 27 2021 EL Errata <el-errata_ww@oracle.com> 02.00.00.3842-1.0.1
- BUILDINFO: commit=226da59289b52d21f565abb0636e9488e824511b
- Update to 02.00.00.3842

* Fri Nov 20 2020 EL Errata <el-errata_ww@oracle.com> 02.00.00.3833-1.0.1
- BUILDINFO: commit=9c97df0e5b88643508a3b8b971127c9b00f6bfd8
- Update to 02.00.00.3833

* Mon Nov 02 2020 EL Errata <el-errata_ww@oracle.com> 02.00.00.3830-1.0.1
- BUILDINFO: commit=20d20c545ce3671b6bda0b0bbf7c7265e66f4784
- Update to 02.00.00.3830

* Fri Oct 30 2020 EL Errata <el-errata_ww@oracle.com> 02.00.00.3829-1.0.1
- BUILDINFO: commit=0342a3808f51a16a5b4a1f3403dea54742ff5fb7
- Update to 02.00.00.3829

* Wed Sep 30 2020 EL Errata <el-errata_ww@oracle.com> 02.00.00.3825-1
- BUILDINFO: commit=4a38d48299af52932f1d8e2c891d9f3792887594
- Update to 02.00.00.3825

* Tue Sep 29 2020 EL Errata <el-errata_ww@oracle.com> 02.00.00.3823-1
- BUILDINFO: commit=e8e9caa26dbd72002b4c7b20e9741b92b45272e0
- Update to 02.00.00.3823

* Thu Sep 17 2020 EL Errata <el-errata_ww@oracle.com> 02.00.00.3820-1
- BUILDINFO: commit=7c204612820eb8dd7c0fe22278c118a58f939b28
- Update to 02.00.00.3820

* Wed Sep 16 2020 EL Errata <el-errata_ww@oracle.com> 02.00.00.3814-1
- BUILDINFO: commit=11e3144b1e32979c131e2bf700afb1471f6dd43e
- BUILDINFO: commit=70914d11ab2214559dfe5a2d054bd09a1bd370fb
- Update to 02.00.00.3814

* Wed Aug 26 2020 EL Errata <el-errata_ww@oracle.com> 02.00.00.3809-1
- BUILDINFO: commit=d0b8edb1b52fcfbf9a18d59e4c6553d3a42b6d7b
- Update to 02.00.00.3809

* Tue Aug 04 2020 EL Errata <el-errata_ww@oracle.com> 02.00.00.3799-1
- BUILDINFO: commit=bbf364887231666364f7d1ca9db1f0968a67ec90
- Update to 02.00.00.3799

* Tue Aug 04 2020 EL Errata <el-errata_ww@oracle.com> 02.00.00.3797-1
- BUILDINFO: commit=a35067022585ac083c40ce65ce0238d75d49bd02
- Update to 02.00.00.3797

* Tue Jul 14 2020 EL Errata <el-errata_ww@oracle.com> 02.00.00.3791-1
- BUILDINFO: commit=966752c0cff5f073da67f846efffd63b368c5608
- Update to 02.00.00.3791

* Wed Jul 08 2020 EL Errata <el-errata_ww@oracle.com> 02.00.00.3785-1
- BUILDINFO: commit=4e68bb865167eb3a3b9eb0e273eb191f8f36dfeb
- Update to 02.00.00.3785

* Wed Jul 01 2020 EL Errata <el-errata_ww@oracle.com> 02.00.00.3781-1
- BUILDINFO: commit=a8d0061a41838892889fa969de16d6df382cad3f
- Update to 02.00.00.3781

* Fri Jun 19 2020 EL Errata <el-errata_ww@oracle.com> 02.00.00.3777-1
- BUILDINFO: commit=a33889fc11d70b78979a03a266a1bd3c212463c8
- Update to 02.00.00.3777

* Fri Jun 12 2020 EL Errata <el-errata_ww@oracle.com> 02.00.00.3774-1
- BUILDINFO: commit=ddff703fa013b5f578ff06ce0a9a6559b92b661f
- Update to 02.00.00.3774

* Fri Jun 12 2020 EL Errata <el-errata_ww@oracle.com> 02.00.00.3772-1
- BUILDINFO: commit=79f26fa41f8061566a65051b80f378280cd85be9
- Update to 02.00.00.3772

* Thu Apr 30 2020 EL Errata <el-errata_ww@oracle.com> 02.00.00.3764-1
- BUILDINFO: commit=825aead3c3c7b4cb8dbae77fa84de1c515e5b6e9
- Update to 02.00.00.3764

* Wed Apr 08 2020 EL Errata <el-errata_ww@oracle.com> 02.00.00.3759-1
- BUILDINFO: commit=3e62babf6ae76625d20bb60763cee71e665e7614
- Update to 02.00.00.3759

* Wed Apr 01 2020 EL Errata <el-errata_ww@oracle.com> 02.00.00.3749-1
- BUILDINFO: commit=5ea2d84af417bdbf9a798277e1da82d2e8354f68
- Update to 02.00.00.3749

* Wed Apr 01 2020 EL Errata <el-errata_ww@oracle.com> 02.00.00.3742-1
- BUILDINFO: commit=4b50caed6ca477b310df78d20dbcf1ba24a536a0
- Update to 02.00.00.3742

* Wed Apr 01 2020 EL Errata <el-errata_ww@oracle.com> 02.00.00.3740-1
- BUILDINFO: commit=36ca0e2994beb99da2026c9d36cd4031537f01a8
- Update to 02.00.00.3740

* Thu Oct 10 2019 Amy Wang <Amy2.Wang@intel.com> - 02.00.00.3613-1
- BUILDINFO: commit=94c059f261abe411faf0f116a9c23b5774282d9d
- Change the reference to the share libraries

* Mon Sep 17 2018 Juston Li <juston.li@intel.com> - 01.00.00.3262-1
- Clean up spec for fedora review

* Wed May 02 2018 Juston Li <juston.li@intel.com> - 01.00.00.3000-1
- initial spec
